GWT 2.7.0

## com.google.web.bindery.requestfactory.shared
Annotation Type ProxyFor

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    public @interface ProxyFor

Annotation on EntityProxy and ValueProxy classes specifying the domain (server-side) object type.

See Also:
  `ProxyForName`

Required Element Summary
`java.lang.Class<?>` | `value` The domain type that the proxy is mapped to.

Optional Element Summary
`java.lang.Class<? extends Locator>` | `locator` An optional `Locator` that provides instances of the domain objects.

Element Detail

### value

    public abstract java.lang.Class<?> value

  The domain type that the proxy is mapped to.

### locator

    public abstract java.lang.Class<? extends Locator> locator

  An optional `Locator` that provides instances of the domain objects.

  Default:
    com.google.web.bindery.requestfactory.shared.Locator.class

GWT 2.7.0